Page MenuHomePhabricator

CX2: Do not translate reference contents
Closed, ResolvedPublic

Description

References often contain information such as book titles that often does not make sense to translate, even if the user is using machine translation for the rest of the contents in the paragraph.

Currently most references use templates to structure the information. Those already keep the information untranslated since the information in the parameters is copied over. However, references that contain information directly inside the <ref> elements, are automatically translated and they should not.

We propose to avoid translating the contents of the ref elements.


Further improvements can be consider in upcoming tickets to make this process smarter by adapting date formats (T196990), letting users translate the references when needed (T197688), and more.

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterDo not translate content in the reference

Event Timeline

Pginer-WMF triaged this task as Medium priority.Mar 27 2019, 4:11 PM
Pginer-WMF created this task.
Pginer-WMF added a subscriber: santhosh.
Pginer-WMF added a comment.EditedMar 27 2019, 11:54 PM

This issue has been mentioned in some conversations (1) (2), (3).

Bonvol added a subscriber: Bonvol.Apr 1 2019, 5:22 AM
santhosh claimed this task.Apr 2 2019, 8:33 PM

Change 500829 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Do not translate content in the reference

https://gerrit.wikimedia.org/r/500829

Change 500829 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Do not translate content in the reference

https://gerrit.wikimedia.org/r/500829

Mentioned in SAL (#wikimedia-operations) [2019-04-30T10:55:22Z] <kart_> Updated cxserver to 2019-04-30-055331-production (T219412)

Etonkovidova closed this task as Resolved.May 1 2019, 4:07 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked in wmf.3.

Omotecho added a subscriber: Omotecho.